Skip to main content
`Ctrl`+`K`

# TaoGetInequalityBounds

Gets the upper and lower bounds set via `TaoSetInequalityBounds()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetInequalityBounds(Tao tao, Vec *IL, Vec *IU)

Logically Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- IL - vector of lower bounds

- IU - vector of upper bounds

## See Also

TAO: Optimization Solvers, `TaoSetObjective()`, `TaoSetHessian()`, `TaoSetObjectiveAndGradient()`, `TaoSetInequalityBounds()`

## Level

beginner

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages